"{ Package: 'cvut:fel/cface' }"

"{ NameSpace: Cface }"

Object subclass:#CNode
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Cface-C AST'
!


!CNode methodsFor:'accessing'!

priority

    ^50

    "Created: / 17-02-2008 / 17:59:28 / janfrog"
! !

!CNode methodsFor:'printing'!

printOn: stream

    self printOn: stream indent: 0

    "Created: / 17-02-2008 / 18:10:30 / janfrog"
!

printOn: stream indent: level

    super printOn: stream

    "Created: / 17-02-2008 / 18:10:30 / janfrog"
! !

!CNode methodsFor:'testing'!

isCArgumentNode
    ^ false

    "Created: / 17-02-2008 / 21:50:16 / janfrog"
!

isCArrayNode
    ^ false

    "Created: / 17-02-2008 / 21:51:50 / janfrog"
!

isCCharNode
    ^ false

    "Created: / 17-02-2008 / 21:50:31 / janfrog"
!

isCConstNode
    ^ false

    "Created: / 17-02-2008 / 21:52:38 / janfrog"
!

isCDefinitionFileNode
    ^ false

    "Created: / 17-02-2008 / 21:50:16 / janfrog"
!

isCDefinitionNode
    ^ false

    "Created: / 17-02-2008 / 21:49:30 / janfrog"
!

isCDoubleNode
    ^ false

    "Created: / 17-02-2008 / 21:50:31 / janfrog"
!

isCEnumNode
    ^ false

    "Created: / 17-02-2008 / 21:52:13 / janfrog"
!

isCEnumValueNode
    ^ false

    "Created: / 17-02-2008 / 21:50:16 / janfrog"
!

isCFloatNode
    ^ false

    "Created: / 17-02-2008 / 21:50:31 / janfrog"
!

isCFunctionNode
    ^ false

    "Created: / 17-02-2008 / 21:50:16 / janfrog"
!

isCFunctionTypeNode
    ^ false

    "Created: / 17-02-2008 / 21:52:13 / janfrog"
!

isCIntNode
    ^ false

    "Created: / 17-02-2008 / 21:50:31 / janfrog"
!

isCLongNode
    ^ false

    "Created: / 17-02-2008 / 21:52:38 / janfrog"
!

isCModifierNode
    ^ false

    "Created: / 17-02-2008 / 21:49:30 / janfrog"
!

isCPointerNode
    ^ false

    "Created: / 17-02-2008 / 21:52:45 / janfrog"
!

isCPointerToCStructure

    ^false

    "Created: / 04-07-2008 / 15:13:02 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

isCPointerToChar

    ^false

    "Created: / 09-07-2008 / 21:37:58 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

isCShortNode
    ^ false

    "Created: / 17-02-2008 / 21:52:38 / janfrog"
!

isCStructFieldNode
    ^ false

    "Created: / 17-02-2008 / 21:50:16 / janfrog"
!

isCStructNode
    ^ false

    "Modified: / 17-02-2008 / 21:52:13 / janfrog"
!

isCUnionNode
    ^ false

    "Created: / 17-02-2008 / 21:52:13 / janfrog"
!

isCUnsignedNode
    ^ false

    "Created: / 17-02-2008 / 21:52:38 / janfrog"
!

isCVoidNode
    ^ false

    "Created: / 17-02-2008 / 21:50:31 / janfrog"
!

isForeign

    ^false

    "Created: / 09-07-2008 / 19:56:51 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!CNode methodsFor:'visiting'!

acceptVisitor:aVisitor 
    "Double dispatch back to the visitor, passing my type encoded in
     the selector (visitor pattern)"

    "stub code automatically generated - please change if required"

    ^ aVisitor visitCNode:self

    "Created: / 12-02-2008 / 22:14:55 / janfrog"
! !

!CNode class methodsFor:'documentation'!

version
    ^ '$Header: /opt/data/cvs/cvut-fel/cface/Cface__CNode.st,v 1.1 2008/02/26 15:58:22 vranyj1 Exp $'
! !
